## grails.test
Class GrailsMock

    java.lang.Object
      grails.test.GrailsMock

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GrailsMock

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`GrailsMock(Class clazz)`
`GrailsMock(Class clazz, boolean loose)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `createMock()`
`DemandProxy` `getDemand()`
`groovy.lang.MetaClass` `getMetaClass()`
`Class` `getMockedClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setDemand(DemandProxy value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setMockedClass(Class value)`
`void` `setProperty(String property, Object value)`
`Object` `verify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsMock

    public GrailsMock(Class clazz)

### GrailsMock

    public GrailsMock(Class clazz,
                      boolean loose)

Method Detail

### getMockedClass

    public Class getMockedClass()

### setMockedClass

    public void setMockedClass(Class value)

### setDemand

    public void setDemand(DemandProxy value)

### getDemand

    public DemandProxy getDemand()

### createMock

    public Object createMock()

### verify

    public Object verify()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project